# Generated by Django 5.0.4 on 2024-05-02 03:25

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Category",
            fields=[
                (
                    "external_id",
                    models.CharField(
                        max_length=1000,
                        primary_key=True,
                        serialize=False,
                        verbose_name="Внешний идентификатор",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=1000, unique=True, verbose_name="Название категории"
                    ),
                ),
                (
                    "market_place",
                    models.CharField(
                        choices=[("LZ", "Lazada"), ("SH", "Shopee")],
                        max_length=255,
                        verbose_name="Площадка",
                    ),
                ),
                (
                    "parent_category",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="sub_categories",
                        related_query_name="sub_category",
                        to="items.category",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="LazadaCategory",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("items.category",),
        ),
        migrations.CreateModel(
            name="ShopeeCategory",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("items.category",),
        ),
        migrations.CreateModel(
            name="Item",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("item_id", models.CharField(max_length=255, verbose_name="Outer ID")),
                (
                    "market_place",
                    models.CharField(
                        choices=[("LZ", "Lazada"), ("SH", "Shopee")],
                        max_length=255,
                        verbose_name="Площадка",
                    ),
                ),
                ("name", models.CharField(max_length=1000, verbose_name="Название")),
                ("img", models.URLField(max_length=1000, verbose_name="Обложка")),
                ("url", models.URLField(max_length=1000, verbose_name="URL")),
                (
                    "categories",
                    models.ManyToManyField(
                        related_name="items",
                        related_query_name="item",
                        to="items.category",
                        verbose_name="Категории",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="ItemStat",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("price", models.PositiveIntegerField(null=True, verbose_name="Цена")),
                ("discount", models.PositiveIntegerField(null=True, verbose_name="Скидка")),
                ("sales", models.PositiveIntegerField(null=True, verbose_name="Проданно")),
                ("rating_score", models.PositiveIntegerField(null=True, verbose_name="Рейтинг")),
                ("reviews", models.PositiveIntegerField(null=True, verbose_name="Оценки")),
                (
                    "created_dt",
                    models.DateTimeField(auto_now_add=True, verbose_name="Время парсинга"),
                ),
                (
                    "item",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="stats",
                        related_query_name="stat",
                        to="items.item",
                    ),
                ),
            ],
            options={
                "ordering": ["-created_dt"],
            },
        ),
    ]
